<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <link rel="icon" type="image/png" href="favicon.png">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <!-- Font Awesome icons (free version)-->
    <script src="https://use.fontawesome.com/releases/v5.15.3/js/all.js" crossorigin="anonymous"></script>
    <script src="http://ajax.googleapis.com/ajax/libs/jquery/1.9.1/jquery.min.js"></script>
    <!-- Google fonts-->
    <link href="https://fonts.googleapis.com/css?family=Catamaran:100,200,300,400,500,600,700,800,900" rel="stylesheet" />
    <link href="https://fonts.googleapis.com/css?family=Lato:100,100i,300,300i,400,400i,700,700i,900,900i" rel="stylesheet" />
    <link href="https://fonts.googleapis.com/css2?family=Josefin+Sans:wght@100&display=swap" rel="stylesheet">
    <link rel="preconnect" href="https://fonts.googleapis.com">
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
    <link href="https://fonts.googleapis.com/css2?family=Josefin+Sans&display=swap" rel="stylesheet">
    <!-- CSS only -->
    <!--Fuentes de google con @import-->
    <style>
        @import url('https://fonts.googleapis.com/css2?family=Zen+Tokyo+Zoo&display=swap');
    </style>
    <style>
        @import url('https://fonts.googleapis.com/css2?family=Noto+Sans+JP&display=swap');
    </style>
    <style>
        @import url('https://fonts.googleapis.com/css2?family=Raleway:wght@100&display=swap');
    </style>
    <style>
        @import url('https://fonts.googleapis.com/css2?family=Raleway&display=swap');
    </style>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-EVSTQN3/azprG1Anm3QDgpJLIm9Nao0Yz1ztcQTwFspd3yD65VohhpuuCOmLASjC" crossorigin="anonymous">
    <link rel="stylesheet" href="css.css">
    <!-- <script src="grafica.js"> </script> -->
    <title>Lyria</title>
    <script type="text/javascript" src="https://www.gstatic.com/charts/loader.js"></script>

</head>

<body id="page-top">
    <!--Navigation-->
    <nav class="navbar navbar-expand-lg navbar-dark navbar-custom fixed-top">
        <div class="container px-5">
            <a class="navbar-brand" href="#page-top">¡Bienvenido a LYRIA!</a>
            <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarResponsive" aria-controls="navbarResponsive" aria-expanded="false" aria-label="Toggle navigation"><span
                    class="navbar-toggler-icon"></span></button>
            <input class="btn btn-primary" type="button" id="entrenar" value="Entrenar Modelo">
            <!--
            <div class="collapse navbar-collapse" id="navbarResponsive">
                <ul class="navbar-nav ms-auto">
                    <li class="nav-item"><a class="nav-link" href="#!">Sign Up</a></li>
                    <li class="nav-item"><a class="nav-link" href="#!">Log In</a></li>
                </ul>
            </div>
            -->
        </div>
    </nav>

    <!-- Header-->
    <header class="masthead text-center text-white">
        <div class="masthead-content">
            <div class="container px-5">
                <figure>
                    <img src="logo3.png">
                </figure>
                <!--<h1 class="masthead-heading mb-0">One Page Wonder</h1>-->
                <h2 class="masthead-subheading mb-0">Descubre los sentimientos de las letras de tus canciones favoritas
                </h2>
                <!--<a class="btn btn-primary btn-xl rounded-pill mt-5" href="#scroll">Learn More</a> -->
            </div>
        </div>

        <div class="bg-circle-1 bg-circle"></div>
        <div class="bg-circle-2 bg-circle"></div>
        <div class="bg-circle-3 bg-circle"></div>
        <div class="bg-circle-4 bg-circle"></div>

    </header>


    <!--Insertar texto.-->
    <section id="insertar-texto">
        <label class="form-label" for="customFile">Inserta las letras.</label>

        <form method="GET" action="" class="form-outline">
            <textarea class="form-control" id="textAreaExample1" rows="4" placeholder="Inserte las Lyrics aquí."></textarea>

            <input class="btn btn-primary" type="button" id="submit" value="¡Descubre!">
            <input class="btn btn-primary" onclick="deleteChart()" type="reset" value="Borrar">

        </form>

    </section>

    <!--visualizador de las emociones-->

    <div id="show-emociones">
        <div id="donutchart"></div>
    </div>

    <!--Explicación de como funciona la Web-->
    <section id="texto-normal">
        <div class="card">
            <div class="card-body">
                <h3>¿Qué es LYRIA?</h3>
                <p>¿Alguna vez te has preguntado el significado de las letras de tus canciones favoritas? ¿Estás componiendo alguna canción y no sabes si el sentimiento que transmite es el deseado? Lyria analiza las letras de tus canciones y te regresa el
                    sentimiento que transmite.</p>
            </div>
        </div>
    </section>

    <!--Explicación de como funciona la Web-->
    <section id="staff">
        <h3> Miembros de Kaqui</h3>
        <p>Joaquim Fortaner : Backend.</p>
        <p>Camila Lopez : API, Backend.</p>
        <p>Andrés Nieto : Frontend.</p>
        <p>Ismael Villafranca : Frontend.</p>

    </section>
    <!--Parte de abajo-->
    <section id="parte-de-abajo">
        <hr>
        <p>Kaqui 2021</p>
    </section>

    <script>
        google.charts.load("current", {
            packages: ["corechart"]
        });
        google.charts.setOnLoadCallback(drawChart);

        function drawChart(emocion1, emocion2) {
            var tempChart = document.getElementById("donutchart");
            tempChart.style.display = "block";
            var data = google.visualization.arrayToDataTable([
                ["Emocion", "Porcentaje"],
                [emocion1[0], emocion1[1]],
                [emocion2[0], emocion2[1]]
            ]);
            var options = {
                title: "Emotions",
                pieHole: 0,
                colors: ['33BFE5', '#ea00ff'],
                legend: {
                    position: 'top'
                },
                height: 500,

            };


            var chart = new google.visualization.PieChart(document.getElementById('donutchart'));
            chart.draw(data, options);
        }

        $("#submit").click(function() {
            var text = document.getElementById('textAreaExample1').value;

            $.ajax({
                method: "GET",
                url: "http://127.0.0.1:5000/getFile",
                dataType: 'json',
                data: {
                    text: text
                },
                success: function(response) {
                    goToChart()
                    let resultado = response;
                    let emocion1 = resultado.emocion1;
                    let emocion2 = resultado.emocion2;
                    let letra = resultado.letra;
                    drawChart(emocion1, emocion2);
                },
                error: function(response) {
                    var resultado = response;
                    alert('Disculpe, ha habido un error');
                }
            });
        });

        $("#entrenar").click(function() {
            $.ajax({
                method: "GET",
                url: "http://127.0.0.1:5000/entrenar",
                data: {

                },
                success: function(response) {
                    let result = response;
                    console.log(response);
                }
            });
        });

        function goToChart() {
            location.href = "#";
            location.href = "#donutchart";
        }

        function deleteChart() {
            document.getElementById("donutchart").style.display = "none";
        }
    </script>

</body>

</html>